<?php 
include "header.php";
include 'config.php';
if(isset($_POST['submit']))
	{
        $id = $_POST['select_id'];
$curl = curl_init();
$url = BASE_URL . '/distributionMagzines/getById/'.$id.'';
curl_setopt_array($curl, array(
 CURLOPT_URL => $url,
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);


$json_response = json_decode($response);

if ($json_response !== null) {
   // Populate input fields with data from $json_response
   $weaponType = $json_response->weaponType ?? '';
    $weaponName = $json_response->weaponName ?? '';
    $totalWeapon = $json_response->totalWeapon ?? '';
    $roundName = $json_response->roundName ?? '';
    $depositeRound = $json_response->depositeRound ?? '';
    $buttNo = $json_response->buttNo ?? '';
    $manufacturingNo = $json_response->manufacturingNo ?? '';
    $weaponLocation = $json_response->weaponLocation ?? '';
    $mobileNumber = $json_response->mobileNumber ?? '';
    $distributionType = $json_response->distributionType ?? '';
    $policeStationName = $json_response->policeStationName ?? '';
    $individualName = $json_response->individualName ?? '';
    $weaponCondition = $json_response->weaponCondition ?? '';
    $identityType = $json_response->identityType ?? '';
    $identityNo = $json_response->identityNo ?? '';
    $permanentAddress = $json_response->permanentAddress ?? '';
    $temporaryAddress = $json_response->temporaryAddress ?? '';
    $designation = $json_response->designation ?? '';
    $bucckleNo = $json_response->bucckleNo ?? '';
    $birthDate = $json_response->birthDate ?? '';
    $dateOfRetirement = $json_response->dateOfRetirement ?? '';
    $posting = $json_response->posting ?? '';
    
    $weaponCheckedBy = $json_response->weaponCheckedBy ?? '';
    $servicingDate = $json_response->servicingDate ?? '';
    $distributionDate = $json_response->distributionDate ?? '';
    $distributionTime = $json_response->distributionTime ?? '';
    $issueRemark = $json_response->issueRemark ?? '';
  
  
   // $recievedWeaponCondition = $json_response->recievedWeaponCondition ?? '';
   // $recievedWeaponCheckedBy = $json_response->recievedWeaponCheckedBy ?? '';
   // $isWeaponDamage = $json_response->isWeaponDamage ?? '';
   // $recievedWeaponDate = $json_response->recievedWeaponDate ?? '';
   // $recievedWeaponTime = $json_response->recievedWeaponTime ?? '';
   // $usedRound = $json_response->usedRound ?? '';
   // $submittedRound = $json_response->submittedRound ?? '';
   // $defectedRound = $json_response->defectedRound ?? '';
   // $recievedRoundCondition = $json_response->recievedRoundCondition ?? '';
   // $recievedroundCheckedBy = $json_response->recievedroundCheckedBy ?? '';
   // $recievedRoundDate = $json_response->recievedRoundDate ?? '';
   // $recievedRoundTime = $json_response->recievedRoundTime ?? '';
   
} else {
   // Set default values for input fields if response is not received
   $weaponType = '';
    $weaponName = '';
    $totalWeapon = '';
    
    $roundName = '';
    $buttNo = '';
    $manufacturingNo = '';
    $weaponLocation = '';
    $mobileNumber = '';
    $distributionType = '';
    $policeStationName = '';
    $individualName = '';
    $weaponCondition ='';
    $identityType = '';
    $identityNo = '';
    $permanentAddress = '';
    $temporaryAddress = '';
    $designation = '';
    $bucckleNo = '';
    $birthDate = '';
    $dateOfRetirement = '';
    $posting = '';
    $depositeRound = '';
    $weaponCheckedBy = '';
    $servicingDate = '';
    $distributionDate = '';
    $distributionTime = '';
    $issueRemark = '';
  
  
   // $recievedWeaponCondition = '';
   // $recievedWeaponCheckedBy = '';
   // $isWeaponDamage = '';
   // $recievedWeaponDate = '';
   // $recievedWeaponTime = '';
   // $usedRound = '';
   // $submittedRound = '';
   // $defectedRound = '';
   // $recievedRoundCondition = '';
   // $recievedroundCheckedBy = '';
   // $recievedRoundDate = '';
   // $recievedRoundTime = '';
}

$distributionDateString = $distributionDate; // Example distribution date
$distributionDates= new DateTime($distributionDateString);

// Current date
$currentDate = new DateTime();

// Calculate the difference
$difference = $currentDate->diff($distributionDates);

// Get the difference in days
$daysDifference = $difference->days;
   
?>
<style>
    #myTable th,
    #myTable td {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
            }


    #myTable thead th {
        background-color: #f2f2f2;
        border-top: 1px solid #dddddd;
    }


    #myTable tbody tr:nth-child(odd) {
        background-color: #f2f2f2;
    }
</style>




<body>
    <div class="main-content">
        <div class="page-content">
                <div class="container-fluid">
                     
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0"></h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                        <li class="breadcrumb-item active">Magzine Department</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    
                    <div class="row">
                       
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title mb-0">Add Return Magzine</h4>
                                </div><!-- end card header -->
                                <div class="card-body d-flex align-items-center justify-content-between">
                                <div class="flex-grow-1">
                                    <h4 class="text-center mb-0" style="margin-right: 50px;">Distribution Magzine</h4>
                                </div>
                            </div>
                            <div class="table-responsive">
                                <table class="table  table-striped table-nowrap" id="myTable">
                                    <thead>
                                        <tr class="text-center">
                                            <th class="text-center"scope="col">Sr.No</th>
                                            <th class="text-center" width="40%" scope="col">Nomenclature</th>
                                            <th class="text-center" scope="col">information</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr >
                                            <th scope="row" >1</th>
                                            <td>Butt No</td>
                                            <td><?php  echo $buttNo ?></td>

                                        </tr>
                                        <tr>
                                            <th scope="row">2</th>
                                            <td>Manufacturing No</td>
                                            <td><?php  echo $manufacturingNo ?></td>

                                        </tr>
                                        <tr>
                                            <th scope="row">3</th>
                                            <td>Police Station Name</td>
                                            <td><?php  echo $policeStationName ?></td>

                                        </tr>
                                        <tr>
                                            <th scope="row">4</th>
                                            <td>Person name</td>
                                            <td><?php  echo $individualName ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">5</th>
                                            <td>Distribution Date</td>
                                            <td><?php  echo $distributionDate ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">6</th>
                                            <td>Servicing Date</td>
                                            <td><?php  echo $servicingDate ?></td>
                                        </tr>
                                       
                                        <tr>
                                            <th scope="row">7</th>
                                            <td>No of issued days</td>
                                            <td><?php  echo $daysDifference ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">8</th>
                                            <td>Date Of Retirement</td>
                                            <td><?php  echo $dateOfRetirement ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">9</th>
                                            <td>Mobile Number</td>
                                            <td><?php  echo $mobileNumber ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">10</th>
                                            <td>Weapon Type</td>
                                            <td><?php  echo $weaponType ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">11</th>
                                            <td>Weapon Name</td>
                                            <td><?php  echo $weaponName ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">12</th>
                                            <td> Issued Weapon</td>
                                            <td><?php  echo $totalWeapon ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">13</th>
                                            <td>Round Name</td>
                                            <td><?php  echo $roundName ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">14</th>
                                            <td>Issued Round </td>
                                            <td><?php  echo $depositeRound ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">15</th>
                                            <td>Weapon Location</td>
                                            <td><?php  echo $weaponLocation ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">16</th>
                                            <td>Weapon Condition</td>
                                            <td><?php  echo $weaponCondition ?></td>
                                        </tr>
                                        
                                        <tr>
                                            <th scope="row">17</th>
                                            <td>Weapon Checked By</td>
                                            <td><?php  echo $weaponCheckedBy ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">18</th>
                                            <td>Distribution Type</td>
                                            <td><?php  echo $distributionType ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">19</th>
                                            <td>Identity Type</td>
                                            <td><?php  echo $identityType ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">20</th>
                                            <td>Identity No</td>
                                            <td><?php  echo $identityNo ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">21</th>
                                            <td>Permanant Address</td>
                                            <td><?php  echo $permanentAddress ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">22</th>
                                            <td>Mumbai Address</td>
                                            <td><?php  echo $temporaryAddress ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">23</th>
                                            <td>Designation</td>
                                            <td><?php  echo $designation ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">24</th>
                                            <td>Bucckle No</td>
                                            <td><?php  echo $bucckleNo ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">25</th>
                                            <td>Birth Date</td>
                                            <td><?php  echo $birthDate ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">26</th>
                                            <td>Date Of Retirement</td>
                                            <td><?php  echo $dateOfRetirement ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">27</th>
                                            <td>Posting</td>
                                            <td><?php  echo $posting ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">28</th>
                                            <td>Distribution Date</td>
                                            <td><?php  echo $distributionDate ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">29</th>
                                            <td>Distribution Time</td>
                                            <td><?php  echo $distributionTime ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">30</th>
                                            <td>Remark</td>
                                            <td><?php  echo $issueRemark ?></td>
                                        </tr>
                                       
                                    </tbody>
                                </table>
                            </div>
                                <div class="card-body">
                                    <form action="check_add_return_magzine.php" class="form-steps was-validated" method="post" enctype="multipart/form-data">
		                                <div class="row ">
                                            

                                            

                                            <!-- inword extra field -->

                                            
                                            <?php
                                            if ( $weaponType == "Round") {
                                                ?>

                                                
                                                
                                                
                                                <div class="col-md-6 mt-3">
                                                    <div>
                                                        <label for="used_round" class="form-label">Used Round</label>
                                                        <input type="text" class="form-control" id="used_round"  name="used_round"  placeholder=" Enter Used Round" >
                                                    </div>
                                                </div>
                                                <div class="col-md-6 mt-3">
                                                    <div>
                                                        <label for="submitted_round" class="form-label">Submitted Round</label>
                                                        <input type="text" class="form-control" id="submitted_round"  name="submitted_round"  placeholder=" Enter Submitted Round" >
                                                    </div>
                                                </div>
                                                <div class="col-md-6 mt-3">
                                                    <div>
                                                        <label for="defected_round" class="form-label">Defected Round</label>
                                                        <input type="text" class="form-control" id="defected_round"  name="defected_round"  placeholder=" Enter Defected Round" >
                                                    </div>
                                                </div>
                                               
                                                <div class="col-md-6 mt-3">
                                                    <div>
                                                        <label for="round_checked_by" class="form-label">Received Round Checked By / Inspection By</label>
                                                        <input type="text" class="form-control" id="round_checked_by"  name="round_checked_by"  placeholder=" Enter Round Checked By / Inspection By" >
                                                    </div>
                                                </div>
                                                <div class=" col-md-6 mt-3">
                                                    <div>
                                                        <label for="recieved_round_date" class="form-label">Recieved Round Date</label>
                                                        <input type="date" class="form-control" id="recieved_round_date" name="recieved_round_date" >
                                                    </div>
                                                </div> 
                                                <div class=" col-md-6 mt-3">
                                                    <div>
                                                        <label for="recieved_round_time" class="form-label">Recieved Round Time</label>
                                                        <input type="time" class="form-control" id="recieved_round_time" name="recieved_round_time" >
                                                    </div>
                                                </div>
                                                <div class="col-md-12 mt-3">
                                                <div>
                                                    
                                                    <label for="submitted_remark" class="form-label">Submitted Remark </label>
                                                    <textarea  class="form-control" id="submitted_remark" name="submitted_remark" placeholder=" Enter Submitted Remark" rows="3" ></textarea>
                                                </div>
			                                </div>
                                                <div class="col-md-6 mt-3">
                                                    <div>
                                                        
                                                        <input type="hidden" class="form-control" id="id"  name="id" value="<?php  echo $id ?>">
                                                    </div>
                                                </div>



                                               
                                            <?php
                                                    }
                                                    else if ($weaponType =="Weapon") {
                                                        ?> 
                                                       

                                                                <div class="col-md-6 mt-3">
                                                                    <div>
                                                                        <label for="recieved_weapon_condition" class="form-label">Recieved Weapon Condition</label>
                                                                       
                                                                        <select class="form-select " aria-label="Default select example" name="recieved_weapon_condition" id="recieved_weapon_condition" class="select2" >
                                                                        <option value="">--Recieved Weapon Condition--</option>
                                                                        <option value="Good">Good</option>
                                                                        <option value="Bad">Bad</option>
                                                                        <option value="Average">Average</option>
                                                                                                                                    
                                                                    
                                                                    </select> 
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6 mt-3">
                                                                    <div>
                                                                        <label for="submitted_weapon" class="form-label">Submitted Weapon</label>
                                                                        <input type="text" class="form-control" id="submitted_weapon"  name="submitted_weapon"  placeholder=" Enter Submitted Weapon" >
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6 mt-3">
                                                                    <div>
                                                                        <label for="weapon_checked_by" class="form-label">Weapon Checked By / Inspection By</label>
                                                                        <input type="text" class="form-control" id="weapon_checked_by"  name="weapon_checked_by"  placeholder=" Enter Weapon Checked By / Inspection By" >
                                                                    </div>
                                                                </div>

                                                                <div class="col-md-6 mt-3"  >
                                                                    <label for="is_weapon_damage" class="form-label">Is Weapon Damage</label>
                                                                    <select class="form-select " aria-label="Default select example" name="is_weapon_damage" id="is_weapon_damage" class="select2" >
                                                                        <option value="">--Is Weapon Damage--</option>
                                                                        <option value="Yes">Yes</option>
                                                                        <option value="No">No</option>
                                                                                                                                    
                                                                    
                                                                    </select> 
                                                                </div> 

                                                                <div class=" col-md-6 mt-3">
                                                                    <div>
                                                                        <label for="recieved_weapon_date" class="form-label">Recieved Weapon Date</label>
                                                                        <input type="date" class="form-control" id="recieved_weapon_date" name="recieved_weapon_date" >
                                                                    </div>
                                                                </div> 
                                                                <div class=" col-md-6 mt-3">
                                                                    <div>
                                                                        <label for="recieved_weapon_time" class="form-label">Recieved Weapon Time</label>
                                                                        <input type="time" class="form-control" id="recieved_weapon_time" name="recieved_weapon_time" >
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12 mt-3">
                                                <div>
                                                    
                                                    <label for="submitted_remark" class="form-label">Submitted Remark </label>
                                                    <textarea  class="form-control" id="submitted_remark" name="submitted_remark" placeholder=" Enter Submitted Remark" rows="3" ></textarea>
                                                </div>
			                                </div>
                                                <div class="col-md-6 mt-3">
                                                    <div>
                                                        
                                                        <input type="hidden" class="form-control" id="id"  name="id" value="<?php  echo $id ?>">
                                                    </div>
                                                </div>

                                                                
                                                                
                                                        <?php
                                                    }
                                                
                                                    ?>
                                              </div>
                                            

                                            
                                        <div class="row">
			      
				                            <div class="col-md-4 mt-4">
	        	                                <button type="submit" name="submit" class="btn btn-success ">Save</button> 
				                            </div>
                                        </div>		
		                            </form> 
                                
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
    
  <!-- Bootstrap JavaScript Libraries -->
 
  
</body>
<?php
    }
?>

              

<?php include"footer.php";?>