<?php 

include "header.php";
include 'config.php';
$url = BASE_URL . '/materials/list';
?>





<body>
    <div class="main-content">
        <div class="page-content">
                <div class="container-fluid">
                
                     
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0"></h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                        <li class="breadcrumb-item active">Magzine Department</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>
                    <?php 
                        if(isset($_SESSION['success_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['success_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php
                            
                            

                        }
                        elseif(isset($_SESSION['error_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['error_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php

                        }
                        unset($_SESSION['success_status']);
                        unset($_SESSION['error_status']);
                    ?> 
                    <div class="row">
                       
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title mb-0"> Inventory Management</h4>
                                </div><!-- end card header -->
                                
                                <div class="card-body">
                                    <form action="check_add_stock_inventory.php" class="form-steps was-validated" method="post" enctype="multipart/form-data">
		                                <div class="row ">
                                            
                                            
                                        
                                            
                                            
                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="butt_no" class="form-label">Butt No</label>
                                                    
                                                    <input type="text" class="form-control" id="butt_no"  name="butt_no"  placeholder="Enter Butt No" required>
                                                    
                                                   </div>
                                            </div>

                                          

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="manufacturer_name" class="form-label">Manufacturer Name</label>
                                                    <input type="text" class="form-control" id="manufacturer_name"  name="manufacturer_name"  placeholder=" Enter Manufacturer Name" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="manufacturer_no" class="form-label">Manufacturer No</label>
                                                    <input type="text" class="form-control" id="manufacturer_no"  name="manufacturer_no"  placeholder=" Enter Manufacturer No" required>
                                                </div>
                                            </div>

                                            

                                            <div class=" col-md-6 mt-3">
                                                        <div>
                                                            <label for="in_date" class="form-label">In Date</label>
                                                            <input type="date" class="form-control" id="in_date" name="in_date" required>
                                                        </div>
                                            </div>
                                            
                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="reference_no" class="form-label">Reference No</label>
                                                    <input type="text" class="form-control" id="reference_no"  name="reference_no"  placeholder=" Enter Reference No" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="issued_authority" class="form-label">Issued Authorirty</label>
                                                    <input type="text" class="form-control" id="issued_authority"  name="issued_authority"  placeholder=" Enter Issued Authorirty" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="vouchar_no" class="form-label">Vouchar No</label>
                                                    <input type="text" class="form-control" id="vouchar_no"  name="vouchar_no"  placeholder=" Enter Vouchar No" required>
                                                </div>
                                            </div>
                                            <div  class="col-md-6 mt-3" >
                                                <label for="weapon_type" class="form-label">Weapon Type</label>
                                                <select class="form-select " aria-label="Default select example" name="weapon_type" id="weapon_type" class="select2" onchange="showDiv(this)"  required>
                                                    <option value="">--Weapon Type--</option>
                                                    <option value="Weapon">Weapon</option>
                                                    <option value="Round">Round</option>
                                                </select> 
			                                </div>

                                            <div  id="hidden_weapon_type" class="col-md-12 mt-3" style="display:none;">
                                            <div class="row ">
                                            <?php
                                                $curl = curl_init();

                                                curl_setopt_array($curl, array(
                                                  CURLOPT_URL => $url,
                                                  CURLOPT_RETURNTRANSFER => true,
                                                  CURLOPT_ENCODING => '',
                                                  CURLOPT_MAXREDIRS => 10,
                                                  CURLOPT_TIMEOUT => 0,
                                                  CURLOPT_FOLLOWLOCATION => true,
                                                  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                                  CURLOPT_CUSTOMREQUEST => 'POST',
                                                ));
                                                
                                                $weaponresponse = curl_exec($curl);
                                                
                                                curl_close($curl);
                                                if (!empty($weaponresponse) && $weaponjson_response = json_decode($weaponresponse)) {


                                            ?>
                                            <div  class="col-md-6 mt-3" >
                                                <label  for="weapon_name" class="form-label">Weapon Name(<a href="add_weapon_round_name.php" >Add Weapon/Round Name</a>)</label>
                                                <select class="form-select " aria-label="Default select example" name="weapon_name" id="weapon_name" class="select2"  >
                                                    <option value="">--Weapon Name--</option>
                                                    <?php
            
                                                                foreach ($weaponjson_response as $row) {
                                                                    if ($row->weaponType == "Weapon" ) {
                                                                        ?>
                                                                        <option value="<?php echo $row->materialName; ?>"><?php echo $row->materialName; ?></option>
                                                                        <?php
                                                                            }
                                                                }
                                                                ?>
                                                </select> 
			                                </div>
                                            <?php
                                                        } else {
                                                            
                                                            echo "data is empty";
                                                        }
                                                        ?>

                                            
                                           
                                            </div>
                                            </div>

                                            <div  id="hidden_round_type" class="col-md-12 mt-3" style="display:none;">
                                            <div class="row ">

                                            <?php
                                                $curl = curl_init();

                                                curl_setopt_array($curl, array(
                                                  CURLOPT_URL => $url,
                                                  CURLOPT_RETURNTRANSFER => true,
                                                  CURLOPT_ENCODING => '',
                                                  CURLOPT_MAXREDIRS => 10,
                                                  CURLOPT_TIMEOUT => 0,
                                                  CURLOPT_FOLLOWLOCATION => true,
                                                  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                                  CURLOPT_CUSTOMREQUEST => 'POST',
                                                ));
                                                
                                                $weaponresponse = curl_exec($curl);
                                                
                                                curl_close($curl);
                                                if (!empty($weaponresponse) && $weaponjson_response = json_decode($weaponresponse)) {


                                            ?>
                                            <div  class="col-md-6 mt-3" >
                                                <label  for="round_name" class="form-label">Round Name(<a href="add_weapon_round_name.php" >Add Weapon/Round Name</a>)</label>
                                                <select class="form-select " aria-label="Default select example" name="round_name" id="round_name" class="select2"  >
                                                    <option value="">--Round Name--</option>
                                                    <?php
                                                           // if ($weaponjson_response->weaponType == "Weapon" ) {
                                                                foreach ($weaponjson_response as $row) {
                                                                    if ($row->weaponType == "Round" ) {
                                                                ?>
                                                                <option value="<?php echo $row->materialName; ?>"><?php echo $row->materialName; ?></option>
                                                                <?php
                                                                    }
                                                                }
                                                                ?>
                                                </select> 
			                                </div>
                                            <?php
                                                        } else {
                                                            
                                                            echo "data is empty";
                                                        }
                                                        ?>
                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="carat_no" class="form-label">Carat No</label>
                                                    <input type="text" class="form-control" id="carat_no"  name="carat_no"  placeholder=" Enter Carat No" >
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="box_no" class="form-label">Box No</label>
                                                    <input type="text" class="form-control" id="box_no"  name="box_no"  placeholder=" Enter Box No" >
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="lot_no" class="form-label">Lot No</label>
                                                    <input type="text" class="form-control" id="lot_no"  name="lot_no"  placeholder=" Enter Lot No" >
                                                </div>
                                            </div>
                                            </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="kit_committe_no" class="form-label">Kit Committe No</label>
                                                    <input type="text" class="form-control" id="kit_committe_no"  name="kit_committe_no"  placeholder="Enter Kit Committe No" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="total_quantity" class="form-label">Total Quantity</label>
                                                    <input type="text" class="form-control" id="total_quantity"  name="total_quantity"  placeholder="Enter Total Quantity" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="recieved_quantity" class="form-label">Recieved Quantity</label>
                                                    <input type="text" class="form-control" id="recieved_quantity"  name="recieved_quantity"  placeholder="Enter Recieved Quantity" required>
                                                </div>
                                            </div>

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="balanced_quantity" class="form-label">Balanced Quantity</label>
                                                    <input type="text" class="form-control" id="balanced_quantity"  name="balanced_quantity"  placeholder="Enter Total Quantity" required>
                                                </div>
                                            </div>
                                            

                                            <div class=" col-md-6 mt-3">
                                                        <div>
                                                            <label for="expiry_date" class="form-label">Expiry Date</label>
                                                            <input type="date" class="form-control" id="expiry_date" name="expiry_date" required>
                                                        </div>
                                            </div>

                                            

                                            <div class="col-md-6 mt-3">
                                                <div>
                                                    <label for="recieved_by" class="form-label">Recieved By</label>
                                                    <input type="text" class="form-control" id="recieved_by"  name="recieved_by"  placeholder="Enter Recieved By" required>
                                                </div>
                                            </div>


                                                                                
                                            
                                             
                                             
                                        </div>
                                        <div class="row">
			      
				                            <div class="col-md-4 mt-4">
	        	                                <button type="submit" name="submit" class="btn btn-success ">Save</button> 
				                            </div>
                                        </div>		
		                            </form> 
                                
                                 </div>
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </div>
    
  <!-- Bootstrap JavaScript Libraries -->
  
  
</body>
<script type="text/javascript">
function showDiv(select){
   if(select.value=="Round"){
    document.getElementById('hidden_round_type').style.display = "block";
    document.getElementById('hidden_weapon_type').style.display = "none";
   } else if(select.value=="Weapon"){
    document.getElementById('hidden_weapon_type').style.display = "block";
    document.getElementById('hidden_round_type').style.display = "none";
   }
} 



</script>


              

<?php include"footer.php";?>