<?php 
session_start();


?>

<!doctype html>
<html lang="en" data-layout="vertical" data-topbar="light" data-sidebar="dark" data-sidebar-size="lg" data-sidebar-image="none" data-preloader="disable">



<head>

    <meta charset="utf-8" />
    <title> Weapon Armary Management system </title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    

    <!--datatable css-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" />
    <!--datatable responsive css-->
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.9/css/responsive.bootstrap.min.css" />

    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.dataTables.min.css">
<!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico">


    <!-- Layout config Js -->
    <script src="assets/js/layout.js"></script>
    <!-- Bootstrap Css -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="assets/css/app.min.css" rel="stylesheet" type="text/css" />
    <!-- custom Css-->
    <link href="assets/css/custom.min.css" rel="stylesheet" type="text/css" />
    
	<!-- year picker-->
	
	
</head>

<body>

    <!-- Begin page -->
    <div id="layout-wrapper">

        <header id="page-topbar">
    <div class="layout-width">
        <div class="navbar-header">
            <div class="d-flex">
                <!-- LOGO -->
                <div class="navbar-brand-box horizontal-logo">
                    <a href="index.html" class="logo logo-dark">
                        <span class="logo-sm">
                            <img src="assets/images/logo-sm.png" alt="" height="22">
                        </span>
                        <span class="logo-lg">
                            <img src="assets/images/logo-dark.png" alt="" height="17">
                        </span>
                    </a>

                    <a href="index.html" class="logo logo-light" style="color: white;font-size: 20px;font-family: 'Poppins';">
                        <span class="logo-sm">
                            <img src="assets/images/logo-sm.png" alt="" height="22">
                        </span>
                        <span class="logo-lg">
                            <img src="assets/images/logo-light.png" alt="" height="17">
                        </span>
                    </a>
                </div>

                <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="topnav-hamburger-icon">
                    <span class="hamburger-icon">
                        <span></span>
                        <span></span>
                        <span></span>
                    </span>
                </button>

               
            </div>

            <div class="d-flex align-items-center">

               
                <div class="ms-1 header-item d-none d-sm-flex">
                    <button type="button" class="btn btn-icon btn-topbar btn-ghost-secondary rounded-circle" data-toggle="fullscreen">
                        <i class='bx bx-fullscreen fs-22'></i>
                    </button>
                </div>

                <div class="ms-1 header-item d-none d-sm-flex">
                    <button type="button" class="btn btn-icon btn-topbar btn-ghost-secondary rounded-circle light-dark-mode">
                        <i class='bx bx-moon fs-22'></i>
                    </button>
                </div>

                

                <div class="dropdown ms-sm-3 header-item topbar-user">
                    <button type="button" class="btn" id="page-header-user-dropdown" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        
                                <span class="d-none d-xl-inline-block ms-1 fw-medium user-name-text">Faijan</span>
                                <span class="d-none d-xl-block ms-1 fs-12 text-muted user-name-sub-text">Admin </span>
                            </span>
                        </span>
                    </button>
                    <div class="dropdown-menu dropdown-menu-end">
                        <!-- item-->
                        <h6 class="dropdown-header">Welcome !</h6>
                      
                        
                        
                        <a class="dropdown-item" href="logout.php"><i class="mdi mdi-logout text-muted fs-16 align-middle me-1"></i> <span class="align-middle" data-key="t-logout">Logout</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>


        <!-- ========== App Menu ========== -->
        <div class="app-menu navbar-menu">
            <!-- LOGO -->
            <div class="navbar-brand-box">
                <!-- Dark Logo-->
                <a href="index.html" class="logo logo-dark">
                   Magzine Dpt
                </a>
                <!-- Light Logo-->
                <a href="index.html" class="logo logo-light" style="color: white;
    font-size: 20px;
    font-family: 'Poppins';">
                    Magzine Dpt
                </a>
                <button type="button" class="btn btn-sm p-0 fs-20 header-item float-end btn-vertical-sm-hover" id="vertical-hover">
                    <i class="ri-record-circle-line"></i>
                </button>
            </div>

            <div id="scrollbar">
                <div class="container-fluid">

                    <div id="two-column-menu">
                    </div>
                    <ul class="navbar-nav" id="navbar-nav">
                        <li class="menu-title"><span data-key="t-menu">Menu</span></li>
                        <li class="nav-item">
                            <a class="nav-link" href="index.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-dashboard-2-line"></i> <span data-key="t-dashboards">Dashboards</span>
                            </a>
                            
                        </li> <!-- end Dashboard Menu -->
                      

                    

                        

                   

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#masterpage" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages">Master Data</span>
                            </a>
                            <div class="collapse menu-dropdown" id="masterpage">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="add_weapon_round_index.php" class="nav-link" data-key="t-starter"> Add Weapon/Round Name</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="designation_index.php" class="nav-link" data-key="t-starter"> Add Designation</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="distribution_report.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Distribution Magzine</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="inword_magzine.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Return Magzine</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#inventarypage" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Inventory Management</span>
                            </a>
                            <div class="collapse menu-dropdown" id="inventarypage">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="stock_in.php" class="nav-link" data-key="t-starter"> Stock In</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="stock_out_summary.php" class="nav-link" data-key="t-starter"> Stock Out Summary</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#registertedpage" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Inword/Outword Registered</span>
                            </a>
                            <div class="collapse menu-dropdown" id="registertedpage">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="Inword_registered.php" class="nav-link" data-key="t-starter"> Inward Registered</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="outword_registered.php" class="nav-link" data-key="t-starter"> Outward Registered</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="master_search.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Master Search</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="weapon_&_round_summery.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Weapon and Round Summary</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="WeaponReport.php"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Report</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#Alerts" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Alerts</span>
                            </a>
                            <div class="collapse menu-dropdown" id="Alerts">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="alert_service_due.php" class="nav-link" data-key="t-starter"> Service Due</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="alert_retire_due.php" class="nav-link" data-key="t-starter"> Retirement Due Date</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>


                        

                       
                        <li class="nav-item">
                            <a class="nav-link menu-link" href="#Setting" data-bs-toggle="collapse" role="button" aria-expanded="false" aria-controls="sidebarPages">
                                <i class="ri-pages-line"></i> <span data-key="t-pages"> Setting</span>
                            </a>
                            <div class="collapse menu-dropdown" id="Setting">
                                <ul class="nav nav-sm flex-column">
                                    <li class="nav-item">
                                        <a href="#" class="nav-link" data-key="t-starter"> Change Password</a>
                                    </li>
                                    <li class="nav-item">
                                        <a href="#" class="nav-link" data-key="t-starter"> Profile Update</a>
                                    </li>
                                    
                                    
                                </ul>
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Backup and Restore</span>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#"  role="button" aria-expanded="false" aria-controls="sidebarDashboards">
                                <i class="ri-pages-line"></i> <span data-key="t-dashboards">Support</span>
                            </a>
                        </li>

                       

                        

                        

                   
                      

                        

                   
                       

                        

                        

                        

                       

                        


                       

                        

                    </ul>
                </div>
                <!-- Sidebar -->
            </div>

            <div class="sidebar-background"></div>
        </div>
        <!-- Left Sidebar End -->
        <!-- Vertical Overlay-->
        <div class="vertical-overlay"></div>