<?php include "header.php"; ?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Magazine Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">Magazine Department</h4>
                            </div><!-- end card header -->
                            <div class="card-body">
                                <form action="check_master_search.php" class="needs-validation was-validated"
                                    novalidate="" method="post" enctype="multipart/form-data">
                                    <div class="row">
                                        <h5>Master Search</h5>
                                        <div class="row">
                                            <div class="col-md-6 mt-3">
                                                <label for="search_by" class="form-label">Search By</label>
                                                <select class="form-select mb-3 select2"
                                                    aria-label="Default select example" name="search_by" id="search_by"
                                                    required>
                                                    <option value="">--Select Type--</option>
                                                    <option value="buttNo">Butt Number</option>
                                                    <option value="weaponName">Weapon Name</option>
                                                    <option value="manufacturingNo">Manufacturing No</option>
                                                    <option value="policeStationName">Police Station Name</option>
                                                    <option value="mobileNumber">Mobile Number</option>
                                                    <option value="identityNo">Identity Number</option>
                                                    <option value="dateOfRetirement">Retirement Date</option>
                                                    <option value="servicingDate">Servicing Date</option>
                                                    <option value="outwordNo">Outword Number</option>
                                                    <option value="s_date_e_date">Start Date - End Date</option>
                                                </select>
                                            </div>
                                            <div class="col-md-6" style="margin-top: 2.7rem;">
                                                <label for="dropdown_search" class="form-label"
                                                    style="display: none;">Enter Keyword</label>
                                                <input type="text" class="form-control" id="dropdown_search"
                                                    name="dropdown_search" >
                                            </div>
                                            <div class="col-md-6 mt-3" id="start">
                                                <label for="search_by_type" id="additionalDropdown" class="form-label">Search By Type</label>
                                                <select class="form-select mb-3 select2"
                                                    aria-label="Default select example" name="search_by_type"
                                                    id="search_by_type" style="display: none;">
                                                    <option value="">--Select Type--</option>
                                                    <option value="distribution">Distribution</option>
                                                    <option value="inward">Inward</option>
                                                </select>
                                            </div>
                                            <div class="col-md-6 mt-3" id="distributiondatePickers" style="display: none;">
                                                <label for="distributionStartDate" class="form-label">Distribution Start
                                                    Date</label>
                                                <input type="date" class="form-control mb-3" id="distributionStartDate"
                                                    name="distributionStartDate">
                                                <label for="distributionEndDate" class="form-label">Distribution End
                                                    Date</label>
                                                <input type="date" class="form-control" id="distributionEndDate"
                                                    name="distributionEndDate">
                                            </div>
                                            <div class="col-md-6 mt-3" id="inwarddatePickers" style="display: none;">
                                                <label for="receivedStartDate" class="form-label">Inward Start
                                                    Date</label>
                                                <input type="date" class="form-control mb-3" id="receivedStartDate"
                                                    name="receivedStartDate">
                                                <label for="receivedEndDate" class="form-label">Inward End Date</label>
                                                <input type="date" class="form-control" id="receivedEndDate"
                                                    name="receivedEndDate">
                                            </div>

                                            <div class="row">
                                                <div class="col-md-4 mt-4">
                                                    <button type="submit" id="submitButton"
                                                        class="btn btn-success">Search</button>
                                                </div>
                                            </div>
                                            <input type="hidden" name="search_criteria" id="search_criteria">
                                            <input type="hidden" name="search_value" id="search_value">
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<!-- Your custom JavaScript -->
<script>
    // Hide additional dropdown and date pickers initially
    document.getElementById('additionalDropdown').style.display = 'none';
    document.getElementById('distributiondatePickers').style.display = 'none';
    document.getElementById('inwarddatePickers').style.display = 'none';

    document.getElementById('search_by').addEventListener('change', function () {
        const selectedOption = this.value;
        const dropdownSearch = document.getElementById('dropdown_search');
        const additionalDropdown = document.getElementById('additionalDropdown');
        const distributionPickers = document.getElementById('distributiondatePickers');
        const inwardPickers = document.getElementById('inwarddatePickers');
        const searchByTypeDropdown = document.getElementById('search_by_type');

        // Change input type to date and set placeholder for date-related options
        if (selectedOption === 'dateOfRetirement' || selectedOption === 'servicingDate' || selectedOption === 'outword_date' || selectedOption === 'date') {
            dropdownSearch.type = 'date';
            dropdownSearch.placeholder = 'Enter Date';
        } else {
            dropdownSearch.type = 'text'; // Change input type back to text for other options
            dropdownSearch.placeholder = 'Enter Keyword';
        }

        // Show/hide additional dropdown based on the selected option
        if (selectedOption === 's_date_e_date') {
            additionalDropdown.style.display = 'block';
            searchByTypeDropdown.style.display = 'block'; // Show the search by type dropdown
            distributionPickers.style.display = 'none'; // Hide distribution date pickers
            inwardPickers.style.display = 'none'; // Hide inward date pickers
            dropdownSearch.style.display = 'none'; // Hide the input field for other options
        } else {
            additionalDropdown.style.display = 'none';
            searchByTypeDropdown.style.display = 'none'; // Hide the search by type dropdown for other options
            distributionPickers.style.display = 'none'; // Hide distribution date pickers
            inwardPickers.style.display = 'none'; // Hide inward date pickers
            dropdownSearch.style.display = 'block'; // Show the input field for other options
        }
    });

    document.getElementById('search_by_type').addEventListener('change', function () {
        const selectedOption = this.value;
        const distributionPickers = document.getElementById('distributiondatePickers');
        const inwardPickers = document.getElementById('inwarddatePickers');

        // Show/hide date pickers based on the selected option
        if (selectedOption === 'distribution') {
            distributionPickers.style.display = 'block';
            inwardPickers.style.display = 'none';
        } else if (selectedOption === 'inward') {
            distributionPickers.style.display = 'none';
            inwardPickers.style.display = 'block';
        } else {
            distributionPickers.style.display = 'none';
            inwardPickers.style.display = 'none';
        }
    });
</script>

<?php include "footer.php"; ?>
