<?php 
include "header.php";
include 'config.php';

$encrypted_id = $_GET['id_no'];
$id = base64_decode($encrypted_id);

$curl = curl_init();
$url = BASE_URL . '/materials/getById/'.$id.'';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

$json_response = json_decode($response);

if ($json_response !== null) {
    // Populate input fields with data from $json_response
    $materialName = $json_response->materialName ?? '';
    $weaponType = $json_response->weaponType ?? '';
    $status = $json_response->status ?? '';
    
} else {
    $materialName = '';
    $weaponType = '';
    $status = '';
    
}


?>





<body>
    <div class="main-content">
        <div class="page-content">
                <div class="container-fluid">
                   
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0"></h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                        <li class="breadcrumb-item active">Magzine Department</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    
                    <div class="row">
                       
                        <div class="col-xl-12">
                            <div class="card">
                                <div class="card-header">
                                    <h4 class="card-title mb-0">Add Weapon/Round</h4>
                                </div><!-- end card header -->
                                
                                <div class="card-body">
                                    <form action="check_update_weapon_name.php" method="post" >
		                                <div class="row ">
		                                    <div class="col-md-6 mt-3">
                                            <label for="weapon_name" class="form-label">Weapon/Round Name</label>
                                                <input type="text" id="weapon_name" name="weapon_name" class="form-control" value="<?php  echo $materialName ?>"><br>
			                                </div>
                                            <div  class="col-md-6 mt-3" >
                                                <label for="weapon_type" class="form-label">Weapon Type</label>
                                                <select class="form-select " aria-label="Default select example" name="weapon_type" id="weapon_type" class="select2" onchange="showDiv1(this)" required>
                                                <option value="">--Weapon Type--</option>
                                                    <option value="Weapon" <?php echo ($weaponType == "Weapon") ? 'selected' : ''; ?>>Weapon</option>
                                                    <option value="Round" <?php echo ($weaponType == "Round") ? 'selected' : ''; ?>>Round</option>
                                                </select> 
			                                </div>
                                            <div  class="col-md-6 mt-3" >
                                                <label for="status_name" class="form-label">Status</label>
                                                <select class="form-select " aria-label="Default select example" name="status_name" id="status_name" class="select2" onchange="showDiv1(this)" required>
                                                <option value="">--Status--</option>
                                                    <option value="Active" <?php echo ($status == "Active") ? 'selected' : ''; ?>>Active</option>
                                                    <option value="Inactive" <?php echo ($status == "Inactive") ? 'selected' : ''; ?>>Inactive</option>
                                                </select> 
			                                </div>
                                            <div class="col-md-6 mt-3 mb-3">
                                                    <div>
                                                        
                                                        <input type="hidden" class="form-control" id="id"  name="id" value="<?php  echo $id ?>">
                                                    </div>
                                                </div>
                                        </div>
                                        <div class="row">
			      
				                            <div class="col-md-4 mt-2">
	        	                                <button id="update_material" name="update_material" class="btn btn-success ">Save</button> 
				                            </div>

                                            
                                        </div>		
		                            </form> 
                                
                                 </div>
                            </div>
                        </div>
                    </div>



                    



                </div>
        </div>
    </div>
    
  <!-- Bootstrap JavaScript Libraries -->
  
</body>


              

<?php include"footer.php";?>

