<?php 
include "header.php";
include 'config.php';
$weaponname = $_GET['weaponname'];
$roundname = $_GET['roundname'];
$curl = curl_init();
//$url = BASE_URL . '/stock/listByWeaponOrRoundName?weaponName=' . urlencode($Weapon) . '&roundName=' . urlencode($Weapon).'';

$url = BASE_URL . '/stock/listByWeaponOrRoundName?';

if (!empty($weaponname)) {
    $url .= 'weaponName=' . urlencode($weaponname);
} else {
    $url .= 'roundName=' . urlencode($roundname);
}

curl_setopt_array($curl, array(
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
  ));
  
  $response = curl_exec($curl);
  
  curl_close($curl);


?>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Magazine Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-content">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                                    <h5 class="card-title mb-0 flex-grow-1">Stock In Report </h5>
                                    <div>
                                        <button id="addRow" class="btn btn-primary"><a href="add_stock_in_inventory.php" class="nav-link" data-key="t-starter">Add Stock In</a></button>
                                    </div>
                                </div>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-body">
                                <div class="table-responsive">

                                    <table id="buttons-datatables"
                                        class="table table-bordered table-responsive dataTable no-footer custom-table"
                                        style="width: 100%;" aria-describedby="buttons-datatables_info">
                                        <thead class="thead" style=" overflow: scroll; width: 331px;  height:40px;">
                                            <tr>
                                           
                                            <th class="text-center" scope="col">Sr. No</th>
                                                <th class="text-center" scope="col">Butt No</th>
                                                <th class="text-center" scope="col">Weapon Name</th>
                                                <th class="text-center" scope="col">Round Name</th>
                                                <th class="text-center" scope="col" >Manufacturer Name</th>
                                                <th class="text-center" scope="col" >Manufacturer No</th>
                                                <th class="text-center" scope="col">In Date</th>
                                                <th class="text-center" scope="col">Reference No</th>
                                                <th class="text-center" scope="col">Issued Authorirty</th>
                                                <th class="text-center" scope="col">Vouchar No</th>
                                                <th class="text-center" scope="col">Weapon Type</th>
                                                <th class="text-center" scope="col">Carat No</th>
                                                <th class="text-center" scope="col">Box No</th>
                                                <th class="text-center" scope="col">Lot No</th>
                                                <th class="text-center" scope="col">Total Quantity</th>
                                                <th class="text-center" scope="col">Recieved Quantity</th>
                                                <th class="text-center" scope="col">Balanced Quantity</th>
                                                <th class="text-center" scope="col">Expiry Date</th>
                                                
                                                <th class="text-center" scope="col">Recieved By</th>
                                                
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php
                                        $data = json_decode($response, true);
                                    if (!empty($data)) {
                                        foreach ($data as $row) {
                                            $id = $row['id'];
                                            $encrypted_id = base64_encode($id);
                                            ?>
                                        <tr>
                                        
                                           <td class='text-center'><?php  echo $row['id'] ?></td>
                                           <td class='text-center'><?php  echo $row['buttNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['weaponName'] ?></td>
                                           <td class='text-center'><?php  echo $row['roundName'] ?></td>
                                           <td class='text-center'><?php  echo $row['manufacturerName'] ?></td>
                                           <td class='text-center'><?php  echo $row['manufacturerNo'] ?></td>
                                           <td class='text-center'><?php echo date('d/m/y', strtotime($row['inDate'])); ?></td>
                                           <td class='text-center'><?php  echo $row['referenceNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['issuedAuthority'] ?></td>
                                           <td class='text-center'><?php  echo $row['voucharNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['weaponType'] ?></td>
                                           <td class='text-center'><?php  echo $row['caratNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['boxNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['lotNo'] ?></td>
                                           <td class='text-center'><?php  echo $row['totalQuantity'] ?></td>
                                           <td class='text-center'><?php  echo $row['recievedQuantity'] ?></td>
                                           <td class='text-center'><?php  echo $row['balancedQuantity'] ?></td>
                                           <td class='text-center'><?php echo date('d/m/y', strtotime($row['expiryDate'])); ?></td>
                                          
                                           <td class='text-center'><?php  echo $row['recievedBy'] ?></td>
                                        </tr>  
                                           <?php
                                        }
                                    } else {
                                        ?>
                                        <tr><td colspan='6'>Data Not Available</td></tr>
                                        <?php }
                                    ?>
                                            
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                </div>

            </div> <!-- Closing tag for div.container-fluid -->
        </div> <!-- Closing tag for div.page-content -->
    </div> <!-- Closing tag for div.main-content -->

   
</body>
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
 <?php include "footer.php"; ?>