<?php
include "header.php";
include 'config.php';
$url = BASE_URL . '/materials/list';
?>


<style>
    .badge-basic-success-text {
        font-family: "Lexend";
        font-weight: 600;
        font-size: 15px;
        border-radius: 50px;
        padding: 9px 15px;
        background: #e9faf4;
        color: #29d697;
    }

    .badge-basic-success-text_one {
        font-family: "Lexend";
        font-weight: 600;
        font-size: 15px;
        border-radius: 50px;
        padding: 9px 15px;
        background: pink;
        color: red;
    }

    .new_Designation_one {
        color: #ffffff !important;
        font-weight: 500;
        padding: 5px 16px;
        font-size: 16px;
        text-transform: capitalize;
        font-family: Arial, Helvetica, sans-serif;
        background: linear-gradient(90deg, #2d7dffb8 0%, #21c6fba8 100%) !important;
        border: 1px solid #ffffff;
    }

    .add_new_button a {
        color: white;
    }
</style>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Warehouse Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>

                <?php 
                        if(isset($_SESSION['success_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['success_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php
                            
                            

                        }
                        elseif(isset($_SESSION['error_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['error_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php

                        }
                        unset($_SESSION['success_status']);
                        unset($_SESSION['error_status']);
                    ?> 
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title mb-0">Weapon & Round Summery</h4>
                            </div>
                            <div class="card-body">
                                <form action="weapon&round_save.php" id="myForm" class="needs-validation was-validated"
                                    novalidate="" method="post" enctype="multipart/form-data">
                                    <div class="row">
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="date" class="form-label"> Date</label>
                                                <input type="date" class="form-control" id="date" name=" date" required>
                                            </div>
                                        </div>
                                        <?php
                                        $curl = curl_init();

                                        curl_setopt_array($curl, array(
                                            CURLOPT_URL => $url,
                                            CURLOPT_RETURNTRANSFER => true,
                                            CURLOPT_ENCODING => '',
                                            CURLOPT_MAXREDIRS => 10,
                                            CURLOPT_TIMEOUT => 0,
                                            CURLOPT_FOLLOWLOCATION => true,
                                            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                            CURLOPT_CUSTOMREQUEST => 'POST',
              
                                            )
                                        );

                                        $weaponresponse = curl_exec($curl);

                                        curl_close($curl);
                                        if (!empty($weaponresponse) && $weaponjson_response = json_decode($weaponresponse)) { ?>
                                            <div class="col-md-6 mt-3">
                                                <label for="material_name" class="form-label">Weapon/Round Name(<a
                                                        href="add_weapon_round_name.php">Add Weapon/Round Name</a>)</label>
                                                <select class="form-select " aria-label="Default select example"
                                                    name="material_name" id="material_name" class="select2" required>
                                                    <option value="">--Weapon Name--</option>
                                                    <?php

                                                    foreach ($weaponjson_response as $row) {
                                                        ?>
                                                        <option value="<?php echo $row->materialName; ?>">
                                                            <?php echo $row->materialName; ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                            <?php
                                        } else {

                                            echo "data is empty";
                                        }
                                        ?>

                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="totalQuantity" class="form-label">Total Surcharge</label>
                                                <input type="number" class="form-control" id="totalQuantity"
                                                    name="totalQuantity" placeholder="" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="totalDistributed" class="form-label">Total
                                                    Distribution</label>
                                                <input type="number" class="form-control" id="totalDistributed"
                                                    name="totalDistributed" placeholder="" required>
                                            </div>
                                        </div>
                                    </div>
                                    <br>
                                    <hr>


                                    <h4 class="card-title mb-0"> Balance Good Condition Weapon </h4>

                                    <div class="row">

                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="goodConditionMagazine" class="form-label">Magazine
                                                    Count<br></label>
                                                <input type="number" class="form-control" id="goodConditionMagazine"
                                                    name="goodConditionMagazine" placeholder="" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="good_condition_godown" class="form-label">Godown
                                                    Count</label>
                                                <input type="number" class="form-control" id="good_condition_godown"
                                                    name="good_condition_godown" placeholder="" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="good_condition_temporary_submitted" class="form-label">
                                                    Temporary Submitted count</label>
                                                <input type="number" class="form-control"
                                                    id="good_condition_temporary_submitted"
                                                    name="good_condition_temporary_submitted" placeholder="">
                                            </div>
                                        </div>

                                    </div>

                                    <br>
                                    <hr>


                                    <h4 class="card-title mb-0">Defected Weapon </h4>

                                    <div class="row">

                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="unrepairMagazine" class="form-label">Magazine</label>
                                                <input type="number" class="form-control" id="unrepairMagazine"
                                                    name="unrepairMagazine" placeholder="" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="unrepairGodown" class="form-label">Godown</label>
                                                <input type="number" class="form-control" id="unrepairGodown"
                                                    name="unrepairGodown" placeholder="" required>
                                            </div>
                                        </div>

                                    </div>
                                    <br>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="puneRepair" class="form-label">Pune Repair</label>
                                                <input type="number" class="form-control" id="puneRepair"
                                                    name="puneRepair" placeholder="" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6 mt-3">
                                            <div>
                                                <label for="inquiry" class="form-label"> C. I. D Inquiry</label>
                                                <input type="number" class="form-control" id="inquiry" name="inquiry"
                                                    placeholder="" required>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="col-md-6 mt-3">
                                        <label for="total5"><b>Total:</b></label><br>
                                        <input type="text" class="form-control" id="total5" name="g_expire"
                                            placeholder="" required>
                                      
                                    </div>

                                    <br>
                                    <br>


                                    <button type="submit" class="btn btn-primary" style="color:white">Submit</button>
                                    <button type="submit" class="btn btn-primary mx-3 add_new_button"
                                        style="color:white"><a href="weapon_&_round_summery.php">Submit & Add
                                            New</a></button>

                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        // Get input elements
        var quantityInputs = document.querySelectorAll("#myForm input[type='number']");
        var totalInput = document.getElementById("total5");

        // Add event listener to each input field
        quantityInputs.forEach(function (input) {
            input.addEventListener("input", function () {
                calculateTotal();
            });
        });

        // Function to calculate total
        function calculateTotal() {
            var total = 0;
            quantityInputs.forEach(function (input) {
                total += parseFloat(input.value) || 0;
            });
            totalInput.value = total;
       }
       </script>


</body>
<?php include 'footer.php' ?>