<?php
include "header.php";
include 'config.php';
?>

<style>
    .report a {
        color: white;
    }
</style>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Warehouse Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <h1 style="color:grey; font-size:25px;" class="text-center">Weapon report</h1><br><br>
                            
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table id="buttons-datatables" class="display table table-bordered" style="width:100%">
                                        <thead class="table-light">
                                            <tr>
                                                <th rowspan="2">Action</th>
                                                <th rowspan="2">Date</th>
                                                <th scope="col" style="width:30px;" rowspan="2">Total Abhibhar</th>
                                                <th scope="col" rowspan="2">Total Distribution</th>
                                                <th colspan="3">Balance Good Condition Weapon </th>
                                                <th colspan="2">Defected Weapon</th>
                                                <th rowspan="2">Pune Repair</th>
                                                <th rowspan="2">C. I. D Inquiry</th>
                                                <th rowspan="2">Total</th>
                                            </tr>
                                            <tr>
                                                <td><b>Magazine Count</b></td>
                                                <td><b>Godown Count</b></td>
                                                <td><b>Temporary Submitted Count</b></td>
                                                <td><b>Magazine</b></td>
                                                <td><b>Godown</b></td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            // Integrate CURL to fetch data from the API
                                            $curl = curl_init();
                                            $url = BASE_URL . '/weapons/all';
                                            curl_setopt_array($curl, array(
                                              CURLOPT_URL => $url ,
                                              CURLOPT_RETURNTRANSFER => true,
                                              CURLOPT_ENCODING => '',
                                              CURLOPT_MAXREDIRS => 10,
                                              CURLOPT_TIMEOUT => 0,
                                              CURLOPT_FOLLOWLOCATION => true,
                                              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                              CURLOPT_CUSTOMREQUEST => 'POST',
                                            ));

                                            $response = curl_exec($curl);

                                            curl_close($curl);

                                            // Decode the JSON response
                                            $data = json_decode($response, true);

                                            // Loop through the data and populate the table rows dynamically
                                            foreach ($data as $item) {
                                                echo "<tr>";
                                                echo "<td><button type='submit' class='btn btn-primary report' style='color:white'><a href='report.php?date=" . $item['date'] . "'>View</a></button></td>";
                                                echo "<td>" . $item['date'] . "</td>";
                                                echo "<td>" . $item['totalQuantity'] . "</td>";
                                                echo "<td>" . $item['totalDistributed'] . "</td>";
                                                echo "<td>" . $item['goodConditionMagazine'] . "</td>";
                                                echo "<td>" . $item['goodConditionGodown'] . "</td>";
                                                echo "<td>" . $item['goodConditionTemporarySubmitted'] . "</td>";
                                                echo "<td>" . $item['unrepairMagazine'] . "</td>";
                                                echo "<td>" . $item['unrepairGodown'] . "</td>";
                                                echo "<td>" . $item['puneRepair'] . "</td>";
                                                echo "<td>" . $item['inquiry'] . "</td>";
                                                echo "<td>" . $item['total'] . "</td>";
                                                echo "</tr>";
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div><!--end row-->
            </div>
        </div>
    </div>
    </div>

<?php
include "footer.php";
?>
