<?php 
include "header.php";
include 'config.php';
$url = BASE_URL . '/materials/list';
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);



?>





<body>
    <div class="main-content">
        <div class="page-content">
                <div class="container-fluid">
                   
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                <h4 class="mb-sm-0"></h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                        <li class="breadcrumb-item active">Magzine Department</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>
                    
                    <div class="table-content">
                    <div class="card">
                    <div class="card-header d-flex align-items-center">
                                    <h5 class="card-title mb-0 flex-grow-1">List Weapon/Round Report </h5>
                                    <div>
                                        <button id="addRow" class="btn btn-primary"><a href="add_weapon_round_name.php" class="nav-link" data-key="t-starter">Add Weapon/Round Name</a></button>
                                    </div>
                                </div>

                                <?php 
                        if(isset($_SESSION['success_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['success_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php
                            
                            

                        }
                        elseif(isset($_SESSION['error_status'])){
                            ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong>Hey!</strong> <?php echo $_SESSION['error_status'];   ?>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>

                            <?php

                        }
                        unset($_SESSION['success_status']);
                        unset($_SESSION['error_status']);
                    ?> 
                    <div class="row">
                        <div class="col-lg-12">
                            
                                <div class="card-body">
                                  
                                     
                                 
                                            <table id="buttons-datatables" class="display table table-bordered dataTable no-footer" style="width: 100%;" aria-describedby="buttons-datatables_info">
                                        <thead>
                                            <tr>
                                            
                                                <th class="text-center" scope="col">Weapon/Round Id</th>
                                                <th class="text-center" scope="col">Weapon/Round Name</th>
                                                <th class="text-center" scope="col">Weapon Type</th>
                                                <th class="text-center" scope="col">Status</th>
                                                <th class="text-center" scope="col" >Action</th>
						                    
                                        
                                            </tr>
                                        </thead>
                                        <tbody>
                                        <?php
                                        $data = json_decode($response, true);
                                    if (!empty($data)) {
                                        foreach ($data as $row) {
                                            $id = $row['id'];
                                            $encrypted_id = base64_encode($id);
                                            ?>
                                        <tr>
                                           <td class='text-center'><?php  echo $row['id'] ?></td>
                                           <td class='text-center'><?php  echo $row['materialName'] ?></td>
                                           <td class='text-center'><?php  echo $row['weaponType'] ?></td>
                                           <td class='text-center'><?php  echo $row['status'] ?></td>
                                           <td class='text-center'>
                                           <a href="update_add_weapon_round_name.php?id_no=<?php echo $encrypted_id; ?>" class='btn btn-success '>Update</a>
                                          
                                           </td> 

            
                                         
            
                                         
                                        </tr>
                                        <?php
                                    }
                                } else {
                                    ?>
                                   
                                    <tr><td colspan='6'>Data Not Available</td></tr>
                                    <?php }
                                ?>
                                 
                             
                                      </tbody></table>
                                </div>
                            </div>
                        </div>
                    </div>  



                </div>
        </div>
    </div>
    
  <!-- Bootstrap JavaScript Libraries -->
  
</body>


              

<?php include"footer.php";?>