<?php
include "header.php";
include 'config.php';
?>

<style>

</style>

<body>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                            <h4 class="mb-sm-0"></h4>
                            <div class="page-title-right">
                                <ol class="breadcrumb m-0">
                                    <li class="breadcrumb-item"><a href="login.php">Home</a></li>
                                    <li class="breadcrumb-item active">Warehouse Department</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <h1 style="color: grey; font-size: 25px;" class="text-center">Weapon Daily report</h1><br><br>
                            <h5 style="float: right;" class="mx-3"><b>Date: <?php echo $_GET['date'] ?? date("Y-m-d"); ?></b></h5>

                            <div class="card-body">
                                <div class="table">
                                    <table id="buttons-datatables" class="display table table-bordered" style="width: 100%">
                                        <thead class="table-light">
                                            <tr>
                                                <th scope="col" style="width: 30px;" rowspan="2">Weapon Name</th>
                                                <th scope="col" style="width: 30px;" rowspan="2">Total Abhibhar</th>
                                                <th scope="col" rowspan="2">Total Distribution</th>
                                                <th colspan="3" class="text-center">Balance Good Condition Weapon </th>
                                                <th colspan="2" class="text-center">Defected Weapon</th>
                                                <th rowspan="2">Pune Repair</th>
                                                <th rowspan="2">C. I. D Inquiry</th>
                                                <th rowspan="2">Total</th>
                                            </tr>
                                            <tr>
                                                <td><b>Magazine Count</b></td>
                                                <td><b>Godown Count</b></td>
                                                <td><b>Temporary<br>Submitted count</b></td>
                                                <td><b>Magazine</b></td>
                                                <td><b>Godown</b></td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            // Fetch the date sent from the previous form
                                            $date = $_GET['date'] ?? date("Y-m-d");
                                            
                                            // Execute the cURL request with the date appended to the URL
                                            $curl = curl_init();
                                            $url = BASE_URL . '/weapons/' .$date. '';
                                            curl_setopt_array($curl, array(
                                                CURLOPT_URL => $url,
                                                CURLOPT_RETURNTRANSFER => true,
                                                CURLOPT_ENCODING => '',
                                                CURLOPT_MAXREDIRS => 10,
                                                CURLOPT_TIMEOUT => 0,
                                                CURLOPT_FOLLOWLOCATION => true,
                                                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                                                CURLOPT_CUSTOMREQUEST => 'POST',
                                            ));
                                            $response = curl_exec($curl);
                                            curl_close($curl);

                                            // Decode the JSON response
                                            $data = json_decode($response, true);

                                            // Check if weapons array exists
                                            if (isset($data['weapons'])) {
                                                // Loop through weapons array
                                                foreach ($data['weapons'] as $weapon) {
                                                    // Output table rows dynamically
                                                    echo "<tr>";
                                                    echo "<td>{$weapon['weaponType']}</td>";
                                                    echo "<td>{$weapon['totalQuantity']}</td>";
                                                    echo "<td>{$weapon['totalDistributed']}</td>";
                                                    echo "<td>{$weapon['goodConditionMagazine']}</td>";
                                                    echo "<td>{$weapon['goodConditionGodown']}</td>";
                                                    echo "<td>{$weapon['goodConditionTemporarySubmitted']}</td>";
                                                    echo "<td>{$weapon['unrepairMagazine']}</td>";
                                                    echo "<td>{$weapon['unrepairGodown']}</td>";
                                                    echo "<td>{$weapon['puneRepair']}</td>";
                                                    echo "<td>{$weapon['inquiry']}</td>";
                                                    echo "<td>" . ($weapon['total'] !== null ? $weapon['total'] : '-') . "</td>";
                                                    echo "</tr>";
                                                }
                                            } else {
                                                // If weapons array does not exist or is empty
                                                echo "<tr><td colspan='11'>No data available</td></tr>";
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<?php
include "footer.php";
?>
