<?php 

include "header.php";
include 'config.php';

$encrypted_id = $_GET['id_no'];
$id = base64_decode($encrypted_id);
 

 $curl = curl_init();
 $url = BASE_URL . '/distributionMagzines/getById/'.$id.'';
curl_setopt_array($curl, array(
  CURLOPT_URL => $url,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
));

$response = curl_exec($curl);

curl_close($curl);


$json_response = json_decode($response);

if ($json_response !== null) {
    // Populate input fields with data from $json_response
    $weaponType = $json_response->weaponType ?? '';
    $weaponName = $json_response->weaponName ?? '';
    $totalWeapon = $json_response->totalWeapon ?? '';
    $roundName = $json_response->roundName ?? '';
    $depositeRound = $json_response->depositeRound ?? '';
    $buttNo = $json_response->buttNo ?? '';
    $manufacturingNo = $json_response->manufacturingNo ?? '';
    $weaponLocation = $json_response->weaponLocation ?? '';
    $mobileNumber = $json_response->mobileNumber ?? '';
    $distributionType = $json_response->distributionType ?? '';
    $policeStationName = $json_response->policeStationName ?? '';
    $individualName = $json_response->individualName ?? '';
    $weaponCondition = $json_response->weaponCondition ?? '';
    $identityType = $json_response->identityType ?? '';
    $identityNo = $json_response->identityNo ?? '';
    $permanentAddress = $json_response->permanentAddress ?? '';
    $temporaryAddress = $json_response->temporaryAddress ?? '';
    $designation = $json_response->designation ?? '';
    $bucckleNo = $json_response->bucckleNo ?? '';
    $birthDate = $json_response->birthDate ?? '';
    $dateOfRetirement = $json_response->dateOfRetirement ?? '';
    $posting = $json_response->posting ?? '';
    
    $weaponCheckedBy = $json_response->weaponCheckedBy ?? '';
    $servicingDate = $json_response->servicingDate ?? '';
    $distributionDate = $json_response->distributionDate ?? '';
    $distributionTime = $json_response->distributionTime ?? '';
    $issueRemark = $json_response->issueRemark ?? '';
   
   
    // $recievedWeaponCondition = $json_response->recievedWeaponCondition ?? '';
    // $recievedWeaponCheckedBy = $json_response->recievedWeaponCheckedBy ?? '';
    // $isWeaponDamage = $json_response->isWeaponDamage ?? '';
    // $recievedWeaponDate = $json_response->recievedWeaponDate ?? '';
    // $recievedWeaponTime = $json_response->recievedWeaponTime ?? '';
    // $usedRound = $json_response->usedRound ?? '';
    // $submittedRound = $json_response->submittedRound ?? '';
    // $defectedRound = $json_response->defectedRound ?? '';
    // $recievedRoundCondition = $json_response->recievedRoundCondition ?? '';
    // $recievedroundCheckedBy = $json_response->recievedroundCheckedBy ?? '';
    // $recievedRoundDate = $json_response->recievedRoundDate ?? '';
    // $recievedRoundTime = $json_response->recievedRoundTime ?? '';
    
} else {
    // Set default values for input fields if response is not received
    $weaponType = '';
    $weaponName = '';
    $totalWeapon = '';
    
    $roundName = '';
    $buttNo = '';
    $manufacturingNo = '';
    $weaponLocation = '';
    $mobileNumber = '';
    $distributionType = '';
    $policeStationName = '';
    $individualName = '';
    $weaponCondition ='';
    $identityType = '';
    $identityNo = '';
    $permanentAddress = '';
    $temporaryAddress = '';
    $designation = '';
    $bucckleNo = '';
    $birthDate = '';
    $dateOfRetirement = '';
    $posting = '';
    $depositeRound = '';
    $weaponCheckedBy = '';
    $servicingDate = '';
    $distributionDate = '';
    $distributionTime = '';
    $issueRemark = '';
    
   
    // $recievedWeaponCondition = '';
    // $recievedWeaponCheckedBy = '';
    // $isWeaponDamage = '';
    // $recievedWeaponDate = '';
    // $recievedWeaponTime = '';
    // $usedRound = '';
    // $submittedRound = '';
    // $defectedRound = '';
    // $recievedRoundCondition = '';
    // $recievedroundCheckedBy = '';
    // $recievedRoundDate = '';
    // $recievedRoundTime = '';
}

$distributionDateString = $distributionDate; // Example distribution date
$distributionDates= new DateTime($distributionDateString);

// Current date
$currentDate = new DateTime();

// Calculate the difference
$difference = $currentDate->diff($distributionDates);

// Get the difference in days
$daysDifference = $difference->days;

?>
 

<?php include 'header.php' ?>

<head>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
</head>
<style>
    #myTable th,
    #myTable td {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
            }


    #myTable thead th {
        background-color: #f2f2f2;
        border-top: 1px solid #dddddd;
    }


    #myTable tbody tr:nth-child(odd) {
        background-color: #f2f2f2;
    }
</style>

<div class="main-content">
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="container">
                        <div class="card" style="border: 1px solid var(--vz-border-color); padding: 20px;">
                            
                            <div class="d-flex align-items-center justify-content-between">
                                <div>
                                    <h5 class="mt-3" value="" style="margin-left: 10px;">Employee No: MD/2024/<?php  echo $id ?></h5>
                                </div>
                                <div class="text-right">
                                    <h5 class="mt-3" style="margin-right: 20px;" value="">Employee Name: <?php  echo $individualName ?></h5>
                                </div>
                            </div>
                            <hr>
                            <div class="card-body d-flex align-items-center justify-content-between">
                                <div class="flex-grow-1">
                                    <h4 class="text-center mb-0" style="margin-right: 50px;">Distribution Magzine</h4>
                                </div>
                            </div>
                            <div class="table-responsive">
                                <table class="table  table-striped table-nowrap" id="myTable">
                                    <thead>
                                        <tr class="text-center">
                                            <th class="text-center"scope="col">Sr.No</th>
                                            <th class="text-center" width="30%" scope="col">Nomenclature</th>
                                            <th class="text-center" scope="col">information</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr >
                                            <th scope="row" >1</th>
                                            <td>Butt No</td>
                                            <td><?php  echo $buttNo ?></td>

                                        </tr>
                                        <tr>
                                            <th scope="row">2</th>
                                            <td>Manufacturing No</td>
                                            <td><?php  echo $manufacturingNo ?></td>

                                        </tr>
                                        <tr>
                                            <th scope="row">3</th>
                                            <td>Police Station Name</td>
                                            <td><?php  echo $policeStationName ?></td>

                                        </tr>
                                        <tr>
                                            <th scope="row">4</th>
                                            <td>Person name</td>
                                            <td><?php  echo $individualName ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">5</th>
                                            <td>Distribution Date</td>
                                            <td><?php  echo $distributionDate ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">6</th>
                                            <td>Servicing Date</td>
                                            <td><?php  echo $servicingDate ?></td>
                                        </tr>
                                       
                                        <tr>
                                            <th scope="row">7</th>
                                            <td>No of issued days</td>
                                            <td><?php  echo $daysDifference ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">8</th>
                                            <td>Date Of Retirement</td>
                                            <td><?php  echo $dateOfRetirement ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">9</th>
                                            <td>Mobile Number</td>
                                            <td><?php  echo $mobileNumber ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">10</th>
                                            <td>Weapon Type</td>
                                            <td><?php  echo $weaponType ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">11</th>
                                            <td>Weapon Name</td>
                                            <td><?php  echo $weaponName ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">12</th>
                                            <td> Issued Weapon</td>
                                            <td><?php  echo $totalWeapon ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">13</th>
                                            <td>Round Name</td>
                                            <td><?php  echo $roundName ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">14</th>
                                            <td>Issued Round </td>
                                            <td><?php  echo $depositeRound ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">15</th>
                                            <td>Weapon Location</td>
                                            <td><?php  echo $weaponLocation ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">16</th>
                                            <td>Weapon Condition</td>
                                            <td><?php  echo $weaponCondition ?></td>
                                        </tr>
                                        
                                        <tr>
                                            <th scope="row">17</th>
                                            <td>Weapon Checked By</td>
                                            <td><?php  echo $weaponCheckedBy ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">18</th>
                                            <td>Distribution Type</td>
                                            <td><?php  echo $distributionType ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">19</th>
                                            <td>Identity Type</td>
                                            <td><?php  echo $identityType ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">20</th>
                                            <td>Identity No</td>
                                            <td><?php  echo $identityNo ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">21</th>
                                            <td>Permanant Address</td>
                                            <td><?php  echo $permanentAddress ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">22</th>
                                            <td>Mumbai Address</td>
                                            <td><?php  echo $temporaryAddress ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">23</th>
                                            <td>Designation</td>
                                            <td><?php  echo $designation ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">24</th>
                                            <td>Bucckle No</td>
                                            <td><?php  echo $bucckleNo ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">25</th>
                                            <td>Birth Date</td>
                                            <td><?php  echo $birthDate ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">26</th>
                                            <td>Date Of Retirement</td>
                                            <td><?php  echo $dateOfRetirement ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">27</th>
                                            <td>Posting</td>
                                            <td><?php  echo $posting ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">28</th>
                                            <td>Distribution Date</td>
                                            <td><?php  echo $distributionDate ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">29</th>
                                            <td>Distribution Time</td>
                                            <td><?php  echo $distributionTime ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">30</th>
                                            <td>Remark</td>
                                            <td><?php  echo $issueRemark ?></td>
                                        </tr>
                                       
                                    </tbody>
                                </table>
                            </div>
                            <!-- Bottom Section -->
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>






<?php include 'footer.php' ?>