<?php
session_start();
include 'config.php';
// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve form data
    $date = $_POST['date'];
    $material_name = $_POST['material_name'];
    $totalQuantity = $_POST['totalQuantity'];
    $totalDistributed = $_POST['totalDistributed'];
    $goodConditionMagazine = $_POST['goodConditionMagazine'];
    $goodConditionGodown = $_POST['good_condition_godown'];
    $goodConditionTemporarySubmitted = $_POST['good_condition_temporary_submitted'];
    $unrepairMagazine = $_POST['unrepairMagazine'];
    $unrepairGodown = $_POST['unrepairGodown'];
    $puneRepair = $_POST['puneRepair'];
    $inquiry = $_POST['inquiry'];
    $total = $_POST['total']; 
    
    // Add employeeNo and designation
    $employeeNo = 12345; // You may need to retrieve this from the logged-in user's session or database
    $designation = "इंजिनिअर"; // You may need to retrieve this from the logged-in user's session or database
    
    // Prepare data in the desired format
    $postData = array(
        "employeeNo" => $employeeNo,
        "designation" => $designation,
        "weaponType" => $material_name,
        "totalQuantity" => $totalQuantity,
        "totalDistributed" => $totalDistributed,
        "goodConditionMagazine" => $goodConditionMagazine,
        "goodConditionGodown" => $goodConditionGodown,
        "goodConditionTemporarySubmitted" => $goodConditionTemporarySubmitted,
        "unrepairMagazine" => $unrepairMagazine,
        "unrepairGodown" => $unrepairGodown,
        "puneRepair" => $puneRepair,
        "inquiry" => $inquiry,
        "date" => $date,
        "total" => $total 
    );

    // Convert the data to JSON format
    $jsonData = json_encode($postData);

    // Initialize cURL session
    $curl = curl_init();
    $url = BASE_URL . '/weapons';
    // Set cURL options
    curl_setopt_array($curl, array(
        CURLOPT_URL => $url, // API endpoint URL
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS => $jsonData, // Send the JSON data in the request body
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json'
        )
    ));

    // Execute cURL request
    $response = curl_exec($curl);

    // Close cURL session
    curl_close($curl);

    // Output response
    echo $response;
    $json_response = json_decode($response);
    if (!empty($json_response)  ) {
      $_SESSION['error_status'] = "weapon/Round Summary  saved successfully  ";
      echo "<script>
     window.location.href = 'weapon_&_round_summery.php';
     </script>";
        
      } else {
        
        $_SESSION['success_status'] = "weapon/Round Summary saved  successfully";
         echo "<script>
        window.location.href = 'weapon_&_round_summery.php';
        </script>";
        
       
      }
}
?>